Bug 1855304 - Machine Config operator parses kubelet.conf reducing usability.
Summary: Machine Config operator parses kubelet.conf reducing usability.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 4.3.z
Assignee: Urvashi Mohnani
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1834533
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-09 13:57 UTC by OpenShift BugZilla Robot
Modified: 2020-08-05 10:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-05 10:54:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1916 None closed [release-4.3] Bug 1855304: Parse the kubelet.conf data after an update 2020-08-18 08:43:49 UTC
Red Hat Product Errata RHBA-2020:3180 None None None 2020-08-05 10:54:47 UTC

Comment 3 MinLi 2020-07-14 01:48:24 UTC
Hi, Scott Dodson,  Urvashi Mohnani 

We have a high-importance level automation script which need to check kubelet.conf in 4.x
So we expect this fix can backport to 4.3, or else this script always fail in 4.3, and it's a repetitive work for us to develop a specific script only apply to 4.3
Thanks

Comment 4 Scott Dodson 2020-07-17 13:28:59 UTC
In that case I've raised severity to high then. That's the only thing that patch manager should need to pay attention to so making sure that it meets the requirements for the release is important.

Comment 7 MinLi 2020-07-20 08:36:07 UTC
verified in version : 4.3.0-0.nightly-2020-07-17-210547

Comment 9 errata-xmlrpc 2020-08-05 10:54:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.3.31 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3180


Note You need to log in before you can comment on or make changes to this bug.